libdvbv5: atsc_table_eit_event Struct Reference

libdvbv5 1.26.1 Library to work with Digital TV devices on Linux

Data Fields
atsc_table_eit_event Struct Reference
Digital TV table parsing

ATSC EIT event table. More...

`#include <atsc_eit.h>`

## Data Fields
union { |
uint16_t bitfield |
struct { |
uint16_t event_id:14 |
uint16_t one:2 |
} |  |
}; |  |
uint32_t | start_time
union { |
uint32_t bitfield2 |
struct { |
uint32_t title_length:8 |
uint32_t duration:20 |
uint32_t etm:2 |
uint32_t one2:2 |
uint32_t :2 |
} |  |
}; |  |
struct dvb_desc * | descriptor
struct atsc_table_eit_event * | next
struct tm | start
uint16_t | source_id

## Detailed Description

ATSC EIT event table.

Parameters

  event_id | an uniquelly (inside a service ID) event ID
  title_length | title length. Zero means no title
  duration | duration in seconds
  etm | Extended Text Message location
  descriptor | pointer to struct dvb_desc
  next | pointer to struct atsc_table_eit_event
  start | event start (in struct tm format)
  source_id | source id (obtained from ATSC header)

This structure is used to store the original ATSC EIT event table, converting the integer fields to the CPU endianness, and converting the timestamps to a way that it is better handled on Linux.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Everything after atsc_table_eit_event::descriptor (including it) won't be bit-mapped to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 81 of file atsc_eit.h.

## Field Documentation

## ◆ [union]

union { ... } atsc_table_eit_event

## ◆ [union]

union { ... } atsc_table_eit_event

## ◆ __pad0__

uint32_t atsc_table_eit_event::__pad0__

Definition at line 97 of file atsc_eit.h.

## ◆ bitfield

uint16_t atsc_table_eit_event::bitfield

Definition at line 83 of file atsc_eit.h.

## ◆ bitfield2

uint32_t atsc_table_eit_event::bitfield2

Definition at line 91 of file atsc_eit.h.

## ◆ descriptor

struct dvb_desc* atsc_table_eit_event::descriptor

Definition at line 100 of file atsc_eit.h.

## ◆ duration

uint32_t atsc_table_eit_event::duration

Definition at line 94 of file atsc_eit.h.

## ◆ etm

uint32_t atsc_table_eit_event::etm

Definition at line 95 of file atsc_eit.h.

## ◆ event_id

uint16_t atsc_table_eit_event::event_id

Definition at line 85 of file atsc_eit.h.

## ◆ next

struct atsc_table_eit_event* atsc_table_eit_event::next

Definition at line 101 of file atsc_eit.h.

## ◆ one

uint16_t atsc_table_eit_event::one

Definition at line 86 of file atsc_eit.h.

## ◆ one2

uint32_t atsc_table_eit_event::one2

Definition at line 96 of file atsc_eit.h.

## ◆ source_id

uint16_t atsc_table_eit_event::source_id

Definition at line 103 of file atsc_eit.h.

## ◆ start

struct tm atsc_table_eit_event::start

Definition at line 102 of file atsc_eit.h.

## ◆ start_time

uint32_t atsc_table_eit_event::start_time

Definition at line 89 of file atsc_eit.h.

## ◆ title_length

uint32_t atsc_table_eit_event::title_length

Definition at line 93 of file atsc_eit.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/atsc_eit.h